@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

:root {
    --cell-border-color: rgba(0, 0, 0, 0.226);
    /* global scope */
}


* {
    font-family: "Inter", sans-serif;
}

body {
    height: 100vh;
    width: 100%;
    margin: 0px;
    overflow: hidden;
}

#desktop {
    height: 100%;
    width: 100%;
    opacity: 0;
    transition: all 1s;
    display: flex;
}

#loading{
    position: fixed;
    width: 100%;
    height: 100%;
    background-color: white;
    display: flex;
    justify-content: center;
    align-items: center;
}

#loading > p {
    text-align: center;
    font-style: italic;
}



#info-container {
    height: 100%;
    display: flex;
    width: 40%;
    justify-content: center;
    align-items: center;
}

#projects-container {
    height: 100%;
    display: flex;
    flex-wrap: wrap;
    width: 60%;
}

.row {
    width: 100%;
    display: flex;
    border-bottom: 1px solid var(--cell-border-color);
    border-left: 1px solid var(--cell-border-color);
}

.project-cell {
    opacity: 0 !important;
    cursor: pointer;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    transition: all 2s;
}

.project-cell-show{
    opacity: 1 !important;
}

.cell {
    transition: all 0.3s;
    flex: 1;
    opacity: 0;
    border-right: 1px solid var(--cell-border-color);
}

.last-cell {
    flex: 3;
}

.project-cell:hover {
    opacity: 1;
    scale: 1.1;
    border: none;
}

#about-cell {
    display: flex;
    justify-content: center;
    align-items: center;
}

#about-link {
    text-decoration: underline;
    cursor: pointer;
    font-style: italic;
}

#title {
    margin-bottom: 0px;
    font-weight: 400;
}

#subtitle {
    margin-top: 0px;
    font-style: italic;
}

#email-link{
    font-style: italic;
    color: black;
}

#project-panel {
    width: 40%;
    height: 100%;
    position: absolute;
    transform: translateX(-100%);
    transition: all 0.3s ease;
    color: white;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

#project-panel>div {
    background-color: rgb(0, 0, 0);
    height: 100%;
    width: 100%;
    box-sizing: border-box;
}

#close-project {
    color: white;
    transform: rotateZ(45deg);
    text-align: right;
    padding: 8px;
    margin: 0px;
    margin-left: 94%;
    width: fit-content;
    cursor: pointer;
    font-size: 1.2rem;
}

#project-data-container {
    margin: auto;
    width: 80%;
}

#project-photo-container {
    height: 50%;
    width: 100%;
}

#project-photo-container>div {
    width: 100%;
    height: 30%;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    transition: all 0.2s;
    display: block;
    margin: 2px 0px;
    opacity: 0.5;
}

#project-photo-container>div:hover {
    height: 100%;
    opacity: 1;
}